function [] = runPreviewEVOfromFile(musArr44100, movFileRange, corArrDB, clickDBtimeMs, startClickNr, endClickNr)
    % movFileRange: format ex: [4 1 12], tilsvarer 4_1 til 4_12
    % Plotter i fig 2
    
    % Fyller i pop fra fil
    
    noDB = movFileRange(1);
    movPop = NaN(noDB*4, 3, 16); % Lager tomme movs
    for ind = 1 : 16
        movPop(1,:,ind) = [0 0 0];
        movPop(end,:,ind) = [0 0 0];
    end

    indTeller = 1;
    for f = movFileRange(2) : movFileRange(3)
        fName = ['movLib/' num2str(movFileRange(1)) '_' num2str(f) '.txt'];
        if isfile(fName)
            mov = load(fName);
            movPop(:,:,indTeller) = mov;
            indTeller = indTeller + 1;
        end
    end
    movPop
    cntArr525pop = makeCntArr525pop(movPop, corArrDB);
    
    fig2;
    xDiv = 1.5;
    yDiv = 1.5;
    noX = 4;
    noY = 4;
    
    setUp2dView('backCol',[0.2 0.2 0.2]);
    for y = 0 : noY
        line([0 (noX)*xDiv], [y*yDiv y*yDiv], 'color', [1 0.8 0.8]);
    end
    for x = 0 : noX
        line([x*xDiv x*xDiv], [0 (noY)*yDiv], 'color', [1 0.8 0.8]);
    end
    
    fs = 44100;
    startSampW = floor(fs*clickDBtimeMs(startClickNr) / 1000);
    endSampW = floor(fs*clickDBtimeMs(endClickNr) / 1000);
    startSampW = max(1, startSampW);
    endSampW = min(size(musArr44100, 1), endSampW);
    
    fs = 525;
    startSamp = floor(fs*clickDBtimeMs(startClickNr) / 1000);
    endSamp = floor(fs*clickDBtimeMs(endClickNr) / 1000);
    startSamp = max(1, startSamp);
    endSamp = min(size(musArr44100, 1), endSamp);
    
    framePerSec = fs/30;
    sampDiffTime = framePerSec/fs;
    
    [F2, V2] = agent2(0, 0);
    V = [];
    F = [];
    for ind = 1 : 16
        [F, V] = addPoly(F, V, F2, V2);
    end
    V = V + [xDiv/2 0.2 0];
    h = plotPoly(F, V, 'dark', 'edgeOff', 'col', [1 0.5 0.5]);
    
    cl = clock;
    cl = cl(4)*60*60 + cl(5)*60 + cl(6);
    
    
    
    gjenta = 1;
    while gjenta == 1 
        
        %% Run EMU
        sound(musArr44100(startSampW:endSampW), 44100);
        for i = startSamp : framePerSec : endSamp
            % Pause
            del = 0;
            cl_old = cl;
            while del < sampDiffTime
                cl = clock;
                cl = cl(4)*60*60 + cl(5)*60 + cl(6);
                del = cl - cl_old;
            end
            
            V = [];
            F = [];
            indi = 0;
            for x = 1 : 4
                for y = 1 : 4
                    indi = indi + 1;
                    
                    [F2, V2] = agent2(cntArr525pop(floor(i), 1, indi), cntArr525pop(floor(i), 2, indi));
                    V2 = V2 + [xDiv/2+xDiv*(x-1) 0.2+yDiv*(y-1) 0];
                    [F, V] = addPoly(F, V, F2, V2);
                    
                end
            end
            
            set(h, 'Vertices', V);
            axis([0 6 0 6 -1 1]);
            view(0,90);
            drawnow;
        end
        
        %% GUI før EVO
        [x, y, b] = ginput2(1);
        
        
        if b == 103 % g: gjenta uten å legge inn vinner
            gjenta = 1;
        end
        
        if b == 69 % E: slutt alt
            return;
        end
        
    end
    
    
    
end










